; <----------- cvt16_bin2dec.mac ----------->

;CVT16u_BIN_DEC		macro
;			call	cvt16_bin2dec
;			endmac	CVT16_BIN_DEC


; 16-bit Integer to ASCII (decimal)
; Input: HL = number to convert, DE = location of ASCII string
; Output: ASCII string at (DE)

cvt16_bin2dec.mac	macro

			ld	bc,-10000
			call	$Num2Dec1
			ld	bc,-1000
			call	$Num2Dec1
			ld	bc,-100
			call	$Num2Dec1
			ld	c,-10
			call	$Num2Dec1
			ld	c,b
$Num2Dec1		ld	a,'0'-1
$Num2Dec2		inc	a
			add	hl,bc
			jr	c,$Num2Dec2
			sbc	hl,bc
			ld	(de),a
			inc	de
			ret
			endmac	cvt16_bin2dec.mac

; <----------- pump ----------->

; 3/26/25 dpm macro for example video.

; pump macro with 3 inputs.

; uart = uart # for output.
; screen$ = pointer to date field for output.
; term = char or byte to term output.

pump			macro	uart,screen,term
			scope
			if	screen = 0

; Do nothing operand is already in HL register.
; Do not load HL with any operand.

			else

; Load HL with operand.

			ld	hl,screen
			endif
				
$tst_rdy		tst_tx_rdy	uart

			ld	a,(hl)				; Get a char pointed to by HL.
			cp	term				; Is this end of text block?
			jr	z,$no_more
				
			if	uart=0
			OUT0  	(UART0_THR),a			; Wheeeeey....out the port we go.
			endif
			
			if	uart=1
			OUT0  	(UART1_THR),a			; Wheeeeey....out the port we go.
			endif
				
			inc	hl				; Bump pointer up to next char if any.

			jr	$tst_rdy			

$no_more		equ	$
			endmac


; <----------- tst_tx_rdy ----------->
				
; 3/26/25 dpm macro for example video.

; test if transmitter ready on uart
; tst_tx_rdy macro with 1 inputs.

; uart = uart # to test if ready to transmit.

tst_tx_rdy		macro	uart
			scope
				
$tx_rdy			equ	$
				
			if	uart=0
			in	a,(UART0_LSR)			; Get status of transmitter.
			endif
				
			if	uart=1
			in	a,(UART1_LSR)			; Get status of transmitter.
			endif
			
			bit	5,a				; Test if Transmitter Holding Register empty?
			jr	z,$tx_rdy			; If bit 5 = 0 then not empty, wait til 1 = ready.
			endmac	tst_tx_rdy
